> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet

> Create a new cryptocurrency wallet for an account

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer YOUR_ACCESS_TOKEN`
</ParamField>

<ParamField body="account_id" type="string" required>
  The account ID to create the wallet under.
</ParamField>

<ParamField body="chain" type="string" required>
  The blockchain network. One of: `ethereum`, `solana`, `bitcoin`, `polygon`, `bsc`, `base`, `arbitrum`, `optimism`, `xdc`.
</ParamField>

<ParamField body="ticker" type="string" required>
  The token ticker symbol, e.g. `USDC_SOL`, `ETH`, `BTC`.
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X POST 'https://crypto-api.yativo.com/api/v1/assets/add-asset' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
      "chain": "solana",
      "ticker": "USDC_SOL"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "status": "success",
    "message": "Asset created successfully",
    "data": {
      "asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4E6",
      "account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5",
      "chain": "solana",
      "ticker": "USDC_SOL",
      "wallet_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
      "status": "active",
      "created_at": "2026-03-26T12:00:00Z"
    }
  }
  ```
</ResponseExample>
